Bug 1020797 - [abrt] filezilla-3.7.3-1.fc18: CDirectoryListingParser::ParseAsIbm: Process /usr/bin/filezilla was killed by signal 11 (SIGSEGV)
[abrt] filezilla-3.7.3-1.fc18: CDirectoryListingParser::ParseAsIbm: Process /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: filezilla (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
abrt_hash:7812f228bbb855edb9758826696...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 05:54 EDT by Patrick Monnerat
Modified: 2014-02-05 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.66 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: cgroup (127 bytes, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: core_backtrace (17.03 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: dso_list (9.56 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: environ (1.51 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: maps (50.88 KB, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: open_fds (980 bytes, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details
File: var_log_messages (318 bytes, text/plain)
2013-10-18 05:54 EDT, Patrick Monnerat
no flags Details

  None (edit)
Description Patrick Monnerat 2013-10-18 05:54:18 EDT
Description of problem:
To reproduce (you need an FTP connection to an AS/400 server):
- Connect to the server
- In the "Remote site" field, enter the name of an AS/400 DB2 source file (to get the members list)

The crash probably occurs because the member list is not returned in "ls -l" compatible format by the server.
If you need more info about it, please ask.

Thanks for investigating.

Version-Release number of selected component:
filezilla-3.7.3-1.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        filezilla
crash_function: CDirectoryListingParser::ParseAsIbm
executable:     /usr/bin/filezilla
kernel:         3.10.14-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 CDirectoryListingParser::ParseAsIbm at directorylistingparser.cpp:1843
 #1 CDirectoryListingParser::ParseLine at directorylistingparser.cpp:809
 #2 CDirectoryListingParser::ParseData at directorylistingparser.cpp:702
 #3 CTransferSocket::OnReceive at transfersocket.cpp:298
 #4 CTransferSocket::OnSocketEvent at transfersocket.cpp:180
 #5 CSocketEventDispatcher::ProcessEvent at socket.cpp:272
 #6 wxEvtHandler::ProcessPendingEvents at src/common/event.cpp:1196
 #7 wxAppConsole::ProcessPendingEvents at src/common/appbase.cpp:294
 #8 wxAppBase::ProcessIdle at src/common/appcmn.cpp:435
 #9 wxapp_idle_callback at src/gtk/app.cpp:213
Comment 1 Patrick Monnerat 2013-10-18 05:54:22 EDT
Created attachment 813686 [details]
File: backtrace
Comment 2 Patrick Monnerat 2013-10-18 05:54:25 EDT
Created attachment 813687 [details]
File: cgroup
Comment 3 Patrick Monnerat 2013-10-18 05:54:29 EDT
Created attachment 813688 [details]
File: core_backtrace
Comment 4 Patrick Monnerat 2013-10-18 05:54:32 EDT
Created attachment 813689 [details]
File: dso_list
Comment 5 Patrick Monnerat 2013-10-18 05:54:35 EDT
Created attachment 813690 [details]
File: environ
Comment 6 Patrick Monnerat 2013-10-18 05:54:38 EDT
Created attachment 813691 [details]
File: exploitable
Comment 7 Patrick Monnerat 2013-10-18 05:54:41 EDT
Created attachment 813692 [details]
File: limits
Comment 8 Patrick Monnerat 2013-10-18 05:54:44 EDT
Created attachment 813693 [details]
File: maps
Comment 9 Patrick Monnerat 2013-10-18 05:54:47 EDT
Created attachment 813694 [details]
File: open_fds
Comment 10 Patrick Monnerat 2013-10-18 05:54:50 EDT
Created attachment 813695 [details]
File: proc_pid_status
Comment 11 Patrick Monnerat 2013-10-18 05:54:53 EDT
Created attachment 813696 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:41:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:29:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.